Index: /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php	(revision 21409)
+++ /branches/version-2_11-dev/data/class/helper/SC_Helper_DB.php	(revision 21410)
@@ -297,5 +297,5 @@
 
     /**
-     * カテゴリツリーの取得を複数カテゴリで行う.
+     * カテゴリツリーの取得を複数カテゴリーで行う.
      *
      * @param integer $product_id 商品ID
@@ -346,8 +346,8 @@
 
     /**
-     * 親カテゴリを連結した文字列を取得する.
+     * 親カテゴリーを連結した文字列を取得する.
      *
      * @param integer $category_id カテゴリID
-     * @return string 親カテゴリを連結した文字列
+     * @return string 親カテゴリーを連結した文字列
      */
     function sfGetCatCombName($category_id){
@@ -357,5 +357,5 @@
         $ConbName = "";
 
-        // カテゴリ名称を取得する
+        // カテゴリー名称を取得する
         foreach($arrCatID as $key => $val){
             $sql = "SELECT category_name FROM dtb_category WHERE category_id = ?";
@@ -371,13 +371,13 @@
 
     /**
-     * 指定したカテゴリIDのカテゴリを取得する.
+     * 指定したカテゴリーIDのカテゴリーを取得する.
      *
      * @param integer $category_id カテゴリID
-     * @return array 指定したカテゴリIDのカテゴリ
+     * @return array 指定したカテゴリーIDのカテゴリー
      */
     function sfGetCat($category_id){
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
-        // カテゴリを取得する
+        // カテゴリーを取得する
         $arrVal = array($category_id);
         $res = $objQuery->select('category_id AS id, category_name AS name', 'dtb_category', 'category_id = ?', $arrVal);
@@ -387,8 +387,8 @@
 
     /**
-     * 指定したカテゴリIDの大カテゴリを取得する.
+     * 指定したカテゴリーIDの大カテゴリーを取得する.
      *
      * @param integer $category_id カテゴリID
-     * @return array 指定したカテゴリIDの大カテゴリ
+     * @return array 指定したカテゴリーIDの大カテゴリー
      */
     function sfGetFirstCat($category_id){
@@ -399,5 +399,5 @@
         $arrRet['id'] = $arrCatID[0];
 
-        // カテゴリ名称を取得する
+        // カテゴリー名称を取得する
         $sql = "SELECT category_name FROM dtb_category WHERE category_id = ?";
         $arrVal = array($arrRet['id']);
@@ -448,5 +448,5 @@
 
     /**
-     * カテゴリツリーの取得を行う.
+     * カテゴリーツリーの取得を行う.
      *
      * 親カテゴリの Value=0 を対象とする
@@ -656,9 +656,9 @@
         $sql_where = 'alldtl.del_flg = 0 AND alldtl.status = 1';
         // 在庫無し商品の非表示
-        if (NOSTOCK_HIDDEN) {
-            $sql_where_dtl = '(stock >= 1 OR stock_unlimited = 1)';
+        if (NOSTOCK_HIDDEN === true) {
+            $sql_where_dtl = 'stock_max >= 1 OR stock_unlimited_max = 1';
             $from = $objProduct->alldtlSQL($sql_where_dtl);
         }else{
-            $from = 'dtb_products as alldtl';
+            $from = " dtb_products as alldtl ";
         }
 
@@ -773,10 +773,5 @@
             $where = "($sql_where) AND ($sql_where_product_ids)";
 
-            $where_products_class = '';
-            if (NOSTOCK_HIDDEN) {
-                $where_products_class .= '(stock >= 1 OR stock_unlimited = 1)';
-            }
-
-            $from = $objProduct->alldtlSQL($where_products_class);
+            $from = $objProduct->alldtlSQL($sql_where_product_ids);
             $sql = "SELECT count(*) FROM $from WHERE $where ";
             $arrUpdateData[ $category_id ] = $objQuery->getOne($sql, $arrval);
Index: /branches/version-2_11-dev/test/createEcCubeData-v25.php
===================================================================
--- /branches/version-2_11-dev/test/createEcCubeData-v25.php	(revision 21402)
+++ /branches/version-2_11-dev/test/createEcCubeData-v25.php	(revision 21410)
@@ -659,5 +659,5 @@
 
     /**
-    * 総カテゴリ数を計算し、dtb_categoryに代入するrankに使う
+    * 総カテゴリー数を計算し、dtb_categoryに代入するrankに使う
     */
     function lfGetTotalCategoryrank(){
